package net.nevet5gi;

import net.nevet5gi.commands.StartGameCommand;
import net.nevet5gi.events.PreStartTTTEvent;
import net.nevet5gi.listeners.*;
import org.bukkit.entity.Player;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.plugin.java.JavaPlugin;

public final class SimpleTTTCore extends JavaPlugin {

    public static int taskId = -1;

    @Override
    public void onEnable() {
        this.getCommand("startgame").setExecutor(new StartGameCommand(this));
        this.getServer().getPluginManager().registerEvents(new DeathListener(), this);
        this.getServer().getPluginManager().registerEvents(new PlayerAttackListener(), this);
        this.getServer().getPluginManager().registerEvents(new GamesOnTTTListener(), this);
        this.getServer().getPluginManager().registerEvents(new GameStartTTTListener(), this);
        this.getServer().getPluginManager().registerEvents(new PreStartTTTListener(), this);
        //startGame(this);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }

    public static void startGame(JavaPlugin plugin) {
        //taskId = Bukkit.getServer().getScheduler().scheduleSyncRepeatingTask(plugin, () -> {
            int playerAmount = plugin.getServer().getOnlinePlayers().size();

            if (playerAmount >= 2) {
                for(Player player : plugin.getServer().getOnlinePlayers()) {
                    player.sendMessage("yes game should start");
                }
                PreStartTTTEvent startTTTEvent = new PreStartTTTEvent(plugin);
                plugin.getServer().getPluginManager().callEvent(startTTTEvent);
            }

        //}, 20 , 1);
    }

}
