package net.nevet5gi.commands;

import net.nevet5gi.SimpleTTTCore;
import net.nevet5gi.events.TTTGamesOnEvent;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

public class StartGameCommand implements CommandExecutor {
    private JavaPlugin plugin;

    public StartGameCommand(JavaPlugin plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (sender instanceof Player) {
            Player player = (Player) sender;
            if (player.getServer().getOnlinePlayers().size() >= 2) {
                if (!TTTGamesOnEvent.isInGame()) {
                    player.sendMessage("Game Started");
                    SimpleTTTCore.startGame(plugin);
                }
            } else {
                player.sendMessage("Not enough players to start game!");
            }
        }
        return true;
    }
}
