package net.nevet5gi.listeners;

import net.nevet5gi.events.TTTGamesOnEvent;
import net.nevet5gi.util.Role;
import net.nevet5gi.util.RoleColorHelper;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;

public class DeathListener implements Listener {
    @EventHandler
    public static void onDeath(PlayerDeathEvent event) {
        if (event.getEntity() instanceof Player) {
            Player player = event.getEntity();

            if (TTTGamesOnEvent.isInGame()) {
                Role playerRole = TTTGamesOnEvent.getRoleOfPlayer(player);
                int roleId = playerRole.getId();
                TTTGamesOnEvent.removePlayer(player);
                GamesOnTTTListener.rolesLeft[roleId]--;
                GamesOnTTTListener.playersLeft--;
                event.getEntity().getKiller().sendMessage(RoleColorHelper.getChatColorOfRole(TTTGamesOnEvent.getRoleOfPlayer(event.getEntity().getKiller())) + "You have killed: " + player.getName() + "!");
            }

        }
    }
}
