package net.nevet5gi.util;

public class GameHelper {

    private static Role Winner = null;
    private static boolean inOvertime = false;

    //Format: Detectives:Sheriffs:Survivalists:Mercenaries:Traitors:Assassins:LoneWolf:Jester
    public static GameDecision getGameDecision(int[] PlayerRolesLeft, int PlayersLeft, boolean doRush) {
        int NeutralRoles = PlayerRolesLeft[6] + PlayerRolesLeft[7];
        int TraitorRoles = PlayerRolesLeft[4] + PlayerRolesLeft[5];
        int LoneWolf = PlayerRolesLeft[6];
        int Jester = PlayerRolesLeft[7];
        int InnocentRoles = PlayersLeft - (NeutralRoles + TraitorRoles);


        int CombinedRoles = InnocentRoles + NeutralRoles + TraitorRoles;



        if (InnocentRoles + NeutralRoles == 0 && TraitorRoles > 0) {
            /*System.out.println("Win " + 1);*/
            Winner = Role.TRAITORS;
            return GameDecision.END;
        }

        if (TraitorRoles + NeutralRoles == 0 && InnocentRoles > 0) {
            /*System.out.println(2);*/
            Winner = Role.INNOCENT;
            return GameDecision.END;
        }

        else if (Jester == 1 && CombinedRoles - Jester == 0) {
            /*System.out.println(3);*/
            Winner = Role.JESTER;
            return GameDecision.END;
        }

        else if (LoneWolf == 1 && CombinedRoles - LoneWolf == 0) {
            /*System.out.println(4);*/
            Winner = Role.LONEWOLF;
            return GameDecision.END;
        }


        if (InnocentRoles == NeutralRoles + TraitorRoles && doRush) {
            /*System.out.println(5);*/
            Winner = null;
            return GameDecision.RUSH;
        }

        else if (InnocentRoles == NeutralRoles + TraitorRoles && !doRush) {
            /*System.out.println(6);*/
            Winner = null;
            inOvertime = true;
            return GameDecision.OVERTIME;
        }


        /*if (Winner == null) {
            Winner = Role.JESTER;
        }*/
        return GameDecision.END;
    }

    public static Role getWinner() {
        return Winner;
    }

    public static boolean isInOvertime() {
        return inOvertime;
    }

}
